summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorSebastian <sebasjm@gmail.com>2023-10-11 11:21:57 -0300
committerSebastian <sebasjm@gmail.com>2023-10-11 11:21:57 -0300
commit099db7919eed63efb58577da731f90375773cd7e (patch)
tree6d7b4db395f149143f4bf6333a9907559f62838a /configure
downloadtaler-spas-main.tar.gz
taler-spas-main.tar.bz2
taler-spas-main.zip
first version of linkingmain
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure33
1 files changed, 33 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..4a6e1c4
--- /dev/null
+++ b/configure
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -e
+prefix=/usr/share
+
+usage() { echo "Usage: $0 [--prefix=<directory>]" 1>&2; exit 1; }
+
+for i in "$@"; do
+ case $i in
+ -p=*|--prefix=*)
+ prefix="${i#*=}"
+ shift
+ ;;
+ -*|--*)
+ echo "Unknown option $i"
+ exit 1
+ ;;
+ *)
+ ;;
+ esac
+done
+
+
+
+[ -z "$prefix" ] && echo "missing prefix" && exit 1;
+
+echo prefix is "$prefix"
+
+[ ! -d "$prefix" ] && echo "prefix should be a directory" && exit 1;
+[ ! -d "$prefix/share/taler-js/" ] && echo "no installation of 'taler-js' found" && exit 1;
+[ -L "./install-prefix" ] && rm ./install-prefix
+
+ln -s $prefix install-prefix
+echo config done